IDSEQ-BENCH-SCORE(1)

NAME
idseq-bench-score - Score benchmark samples based on answer key

SYNOPSIS
idseq-bench-score [-h] [-o OUTPUT_FILE] [-t [TRUTH_FILES [TRUTH_FILES ...]]] [-e ENV] [-p LOCAL_PATH] [--mono-aupr] project_id sample_id pipeline_version

DESCRIPTION
Score benchmark samples based on answer key (against key encode in fastq read IDs for IDseq Bench samples or against a provided answer key).

OPTIONS

  positional arguments:

project_id
    ID of the project

sample_id
    ID of the sample

pipeline_version
    Pipeline version to retrieve: <major>.<minor>

  optional arguments:

-h, --help
    show this help message and exit

-o OUTPUT_FILE, --output-file OUTPUT_FILE
    Path of output file to write the results to (if not set results are written to stdout)

-t [TRUTH_FILES [TRUTH_FILES ...]], --truth_files [TRUTH_FILES [TRUTH_FILES ...]]
    Space separated list of truth files. Truth files are TSV files with the fields <tax_id, absolute abundance, relative abundance, rank, tax_name>

-e ENV, --env ENV
    String name of environment in which sample exists; options are: prod (default), staging

-p LOCAL_PATH, --local-path LOCAL_PATH
    Root of local path where IDseq files are stored. Must follow the same structure to store files as IDseq

--mono-aupr
    Computed adjusted AUPR by forcing the precision/recall curve to be monotonic decreasing

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.